Reservation Order - Purchase
Purchase ReservationOrder and create resource under the specified URI.
PUT https://management.azure.com/providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}?api-version=2022-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
reservation
|
path | True |
string |
Order Id of the reservation |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| location |
string |
The Azure region where the reserved resource lives. |
| properties.appliedScopeProperties |
Properties specific to applied scope type. Not required if not applicable. Required and need to provide tenantId and managementGroupId if AppliedScopeType is ManagementGroup |
|
| properties.appliedScopeType |
Type of the Applied Scope. |
|
| properties.appliedScopes |
string[] |
List of the subscriptions that the benefit will be applied. Do not specify if AppliedScopeType is Shared. This property will be deprecated and replaced by appliedScopeProperties instead for Single AppliedScopeType. |
| properties.billingPlan |
Represent the billing plans. |
|
| properties.billingScopeId |
string |
Subscription that will be charged for purchasing reservation or savings plan |
| properties.displayName |
string |
Friendly name of the reservation |
| properties.quantity |
integer (int32) |
Quantity of the skus that are part of the reservation. |
| properties.renew |
boolean |
Setting this to true will automatically purchase a new reservation on the expiration date time. |
| properties.reservedResourceProperties |
Properties specific to each reserved resource type. Not required if not applicable. |
|
| properties.reservedResourceType |
The type of the resource that is being reserved. In addition to below types we have also added the following: OpenAIPTU, MDC, Sentinel. |
|
| properties.reviewDateTime |
string (date-time) |
This is the date-time when the Azure hybrid benefit needs to be reviewed. |
| properties.term |
Represent the term of reservation. |
|
| sku |
The name of sku |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Resource 'ReservationOrderResponse' update operation succeeded |
|
| 202 Accepted |
The request has been accepted for processing, but processing has not yet completed. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Purchase
Sample request
PUT https://management.azure.com/providers/Microsoft.Capacity/reservationOrders/a075419f-44cc-497f-b68a-14ee811d48b9?api-version=2022-11-01
{
"location": "westus",
"properties": {
"appliedScopeType": "Shared",
"appliedScopes": null,
"billingPlan": "Monthly",
"billingScopeId": "/subscriptions/ed3a1871-612d-abcd-a849-c2542a68be83",
"displayName": "TestReservationOrder",
"quantity": 1,
"renew": false,
"reservedResourceProperties": {
"instanceFlexibility": "On"
},
"reservedResourceType": "VirtualMachines",
"term": "P1Y"
},
"sku": {
"name": "standard_D1"
}
}
Sample response
{
"name": "1f14354c-dc12-4c8d-8090-6f295a3a34aa",
"type": "Microsoft.Capacity/reservationOrders",
"etag": 7,
"id": "/providers/microsoft.capacity/reservationOrders/1f14354c-dc12-4c8d-8090-6f295a3a34aa",
"properties": {
"billingPlan": "Monthly",
"createdDateTime": "2017-08-30T03:51:49.8083758Z",
"displayName": "cabri",
"expiryDate": "2018-08-30",
"expiryDateTime": "2018-08-30T03:51:49.8083758Z",
"originalQuantity": 7,
"provisioningState": "Succeeded",
"requestDateTime": "2017-08-30T03:49:19.0252126Z",
"reservations": [
{
"id": "/providers/microsoft.capacity/reservationOrders/1f14354c-dc12-4c8d-8090-6f295a3a34aa/reservations/c8c926bd-fc5d-4e29-9d43-b68340ac23a6"
}
],
"term": "P1Y"
}
}
Location: https://management.azure.com/providers/microsoft.capacity/reservationOrders/1f14354c-dc12-4c8d-8090-6f295a3a34aa?api-version=2022-11-01
Retry-After: 120
{
"name": "1f14354c-dc12-4c8d-8090-6f295a3a34aa",
"type": "Microsoft.Capacity/reservationOrders",
"etag": 7,
"id": "/providers/microsoft.capacity/reservationOrders/1f14354c-dc12-4c8d-8090-6f295a3a34aa",
"properties": {
"billingPlan": "Monthly",
"createdDateTime": "2017-08-30T03:51:49.8083758Z",
"displayName": "cabri",
"expiryDate": "2018-08-30",
"expiryDateTime": "2018-08-30T03:51:49.8083758Z",
"originalQuantity": 7,
"provisioningState": "Succeeded",
"requestDateTime": "2017-08-30T03:49:19.0252126Z",
"reservations": [
{
"id": "/providers/microsoft.capacity/reservationOrders/1f14354c-dc12-4c8d-8090-6f295a3a34aa/reservations/c8c926bd-fc5d-4e29-9d43-b68340ac23a6"
}
],
"term": "P1Y"
}
}
Definitions
| Name | Description |
|---|---|
|
Applied |
Properties specific to applied scope type. Not required if not applicable. Required and need to provide tenantId and managementGroupId if AppliedScopeType is ManagementGroup |
|
Applied |
Type of the Applied Scope. |
|
created |
The type of identity that created the resource. |
| Error |
Error information |
|
Error |
Error code describing the reason that service is not able to process the incoming request |
|
Extended |
Extended error information including error code and error message |
|
Extended |
|
|
Instance |
Turning this on will apply the reservation discount to other VMs in the same VM size group. Only specify for VirtualMachines reserved resource type. |
|
Payment |
Information about payment related to a reservation order. |
|
Payment |
Describes whether the payment is completed, failed, cancelled or scheduled in the future. |
| Price |
Pricing information containing the amount and the currency code |
|
Provisioning |
Represent the current state of the Reservation. |
|
Purchase |
The request for reservation purchase |
|
Purchase |
Properties specific to each reserved resource type. Not required if not applicable. |
|
Renew |
The renew properties for a reservation. |
|
Renew |
Currency and amount that customer will be charged in customer's local currency for renewal purchase. Tax is not included. |
|
Renew |
Amount that Microsoft uses for record. Used during refund for calculating refund limit. Tax is not included. This is locked price 30 days before expiry. |
|
Reservation |
Represent the billing plans. |
|
Reservation |
Properties of reservation merge |
|
Reservation |
Information describing the type of billing plan for this reservation. |
|
Reservation |
Details of a reservation order being returned. |
|
Reservation |
The definition of the reservation. |
|
Reservation |
Properties of reservation split |
|
Reservations |
The properties of the reservations |
|
Reservations |
Reservation utilization |
|
Reservation |
|
|
Reservation |
Properties of reservation swap |
|
Reservation |
Represent the term of reservation. |
|
Reservation |
The aggregate values of reservation utilization |
|
Reserved |
The type of the resource that is being reserved. In addition to below types we have also added the following: OpenAIPTU, MDC, Sentinel. |
|
Sku |
The name of sku |
|
system |
Metadata pertaining to creation and last modification of the resource. |
AppliedScopeProperties
Properties specific to applied scope type. Not required if not applicable. Required and need to provide tenantId and managementGroupId if AppliedScopeType is ManagementGroup
| Name | Type | Description |
|---|---|---|
| displayName |
string |
Display name |
| managementGroupId |
string |
Fully-qualified identifier of the management group where the benefit must be applied. |
| resourceGroupId |
string |
Fully-qualified identifier of the resource group. |
| subscriptionId |
string |
Fully-qualified identifier of the subscription. |
| tenantId |
string |
Tenant ID where the savings plan should apply benefit. |
AppliedScopeType
Type of the Applied Scope.
| Value | Description |
|---|---|
| Single |
Single |
| Shared |
Shared |
| ManagementGroup |
ManagementGroup |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
Error
Error information
| Name | Type | Description |
|---|---|---|
| error |
Extended error information including error code and error message |
ErrorResponseCode
Error code describing the reason that service is not able to process the incoming request
| Value | Description |
|---|---|
| NotSpecified |
NotSpecified |
| InternalServerError |
InternalServerError |
| ServerTimeout |
ServerTimeout |
| AuthorizationFailed |
AuthorizationFailed |
| BadRequest |
BadRequest |
| ClientCertificateThumbprintNotSet |
ClientCertificateThumbprintNotSet |
| InvalidRequestContent |
InvalidRequestContent |
| OperationFailed |
OperationFailed |
| HttpMethodNotSupported |
HttpMethodNotSupported |
| InvalidRequestUri |
InvalidRequestUri |
| MissingTenantId |
MissingTenantId |
| InvalidTenantId |
InvalidTenantId |
| InvalidReservationOrderId |
InvalidReservationOrderId |
| InvalidReservationId |
InvalidReservationId |
| ReservationIdNotInReservationOrder |
ReservationIdNotInReservationOrder |
| ReservationOrderNotFound |
ReservationOrderNotFound |
| InvalidSubscriptionId |
InvalidSubscriptionId |
| InvalidAccessToken |
InvalidAccessToken |
| InvalidLocationId |
InvalidLocationId |
| UnauthenticatedRequestsThrottled |
UnauthenticatedRequestsThrottled |
| InvalidHealthCheckType |
InvalidHealthCheckType |
| Forbidden |
Forbidden |
| BillingScopeIdCannotBeChanged |
BillingScopeIdCannotBeChanged |
| AppliedScopesNotAssociatedWithCommerceAccount |
AppliedScopesNotAssociatedWithCommerceAccount |
| PatchValuesSameAsExisting |
PatchValuesSameAsExisting |
| RoleAssignmentCreationFailed |
RoleAssignmentCreationFailed |
| ReservationOrderCreationFailed |
ReservationOrderCreationFailed |
| ReservationOrderNotEnabled |
ReservationOrderNotEnabled |
| CapacityUpdateScopesFailed |
CapacityUpdateScopesFailed |
| UnsupportedReservationTerm |
UnsupportedReservationTerm |
| ReservationOrderIdAlreadyExists |
ReservationOrderIdAlreadyExists |
| RiskCheckFailed |
RiskCheckFailed |
| CreateQuoteFailed |
CreateQuoteFailed |
| ActivateQuoteFailed |
ActivateQuoteFailed |
| NonsupportedAccountId |
NonsupportedAccountId |
| PaymentInstrumentNotFound |
PaymentInstrumentNotFound |
| MissingAppliedScopesForSingle |
MissingAppliedScopesForSingle |
| NoValidReservationsToReRate |
NoValidReservationsToReRate |
| ReRateOnlyAllowedForEA |
ReRateOnlyAllowedForEA |
| OperationCannotBePerformedInCurrentState |
OperationCannotBePerformedInCurrentState |
| InvalidSingleAppliedScopesCount |
InvalidSingleAppliedScopesCount |
| InvalidFulfillmentRequestParameters |
InvalidFulfillmentRequestParameters |
| NotSupportedCountry |
NotSupportedCountry |
| InvalidRefundQuantity |
InvalidRefundQuantity |
| PurchaseError |
PurchaseError |
| BillingCustomerInputError |
BillingCustomerInputError |
| BillingPaymentInstrumentSoftError |
BillingPaymentInstrumentSoftError |
| BillingPaymentInstrumentHardError |
BillingPaymentInstrumentHardError |
| BillingTransientError |
BillingTransientError |
| BillingError |
BillingError |
| FulfillmentConfigurationError |
FulfillmentConfigurationError |
| FulfillmentOutOfStockError |
FulfillmentOutOfStockError |
| FulfillmentTransientError |
FulfillmentTransientError |
| FulfillmentError |
FulfillmentError |
| CalculatePriceFailed |
CalculatePriceFailed |
| AppliedScopesSameAsExisting |
AppliedScopesSameAsExisting |
| SelfServiceRefundNotSupported |
SelfServiceRefundNotSupported |
| RefundLimitExceeded |
RefundLimitExceeded |
ExtendedErrorInfo
Extended error information including error code and error message
| Name | Type | Description |
|---|---|---|
| code |
Error code describing the reason that service is not able to process the incoming request |
|
| message |
string |
ExtendedStatusInfo
| Name | Type | Description |
|---|---|---|
| message |
string |
The message giving detailed information about the status code. |
| statusCode |
InstanceFlexibility
Turning this on will apply the reservation discount to other VMs in the same VM size group. Only specify for VirtualMachines reserved resource type.
| Value | Description |
|---|---|
| On |
On |
| Off |
Off |
PaymentDetail
Information about payment related to a reservation order.
| Name | Type | Description |
|---|---|---|
| billingAccount |
string |
Shows the Account that is charged for this payment. |
| billingCurrencyTotal |
Amount charged in Billing currency. Tax not included. Is null for future payments |
|
| dueDate |
string (date) |
Date when the payment needs to be done. |
| extendedStatusInfo | ||
| paymentDate |
string (date) |
Date when the transaction is completed. Is null when it is scheduled. |
| pricingCurrencyTotal |
Amount in pricing currency. Tax not included. |
|
| status |
Describes whether the payment is completed, failed, cancelled or scheduled in the future. |
PaymentStatus
Describes whether the payment is completed, failed, cancelled or scheduled in the future.
| Value | Description |
|---|---|
| Succeeded |
Succeeded |
| Failed |
Failed |
| Scheduled |
Scheduled |
| Cancelled |
Cancelled |
Price
Pricing information containing the amount and the currency code
| Name | Type | Description |
|---|---|---|
| amount |
number (double) |
|
| currencyCode |
string |
The ISO 4217 3-letter currency code for the currency used by this purchase record. |
ProvisioningState
Represent the current state of the Reservation.
| Value | Description |
|---|---|
| Creating |
Creating |
| PendingResourceHold |
PendingResourceHold |
| ConfirmedResourceHold |
ConfirmedResourceHold |
| PendingBilling |
PendingBilling |
| ConfirmedBilling |
ConfirmedBilling |
| Created |
Created |
| Succeeded |
Succeeded |
| Cancelled |
Cancelled |
| Expired |
Expired |
| BillingFailed |
BillingFailed |
| Failed |
Failed |
| Split |
Split |
| Merged |
Merged |
PurchaseRequest
The request for reservation purchase
| Name | Type | Default value | Description |
|---|---|---|---|
| location |
string |
The Azure region where the reserved resource lives. |
|
| properties.appliedScopeProperties |
Properties specific to applied scope type. Not required if not applicable. Required and need to provide tenantId and managementGroupId if AppliedScopeType is ManagementGroup |
||
| properties.appliedScopeType |
Type of the Applied Scope. |
||
| properties.appliedScopes |
string[] |
List of the subscriptions that the benefit will be applied. Do not specify if AppliedScopeType is Shared. This property will be deprecated and replaced by appliedScopeProperties instead for Single AppliedScopeType. |
|
| properties.billingPlan |
Represent the billing plans. |
||
| properties.billingScopeId |
string |
Subscription that will be charged for purchasing reservation or savings plan |
|
| properties.displayName |
string |
Friendly name of the reservation |
|
| properties.quantity |
integer (int32) |
Quantity of the skus that are part of the reservation. |
|
| properties.renew |
boolean |
False |
Setting this to true will automatically purchase a new reservation on the expiration date time. |
| properties.reservedResourceProperties |
Properties specific to each reserved resource type. Not required if not applicable. |
||
| properties.reservedResourceType |
The type of the resource that is being reserved. In addition to below types we have also added the following: OpenAIPTU, MDC, Sentinel. |
||
| properties.reviewDateTime |
string (date-time) |
This is the date-time when the Azure hybrid benefit needs to be reviewed. |
|
| properties.term |
Represent the term of reservation. |
||
| sku |
The name of sku |
PurchaseRequestPropertiesReservedResourceProperties
Properties specific to each reserved resource type. Not required if not applicable.
| Name | Type | Description |
|---|---|---|
| instanceFlexibility |
Turning this on will apply the reservation discount to other VMs in the same VM size group. Only specify for VirtualMachines reserved resource type. |
RenewPropertiesResponse
The renew properties for a reservation.
| Name | Type | Description |
|---|---|---|
| billingCurrencyTotal |
Currency and amount that customer will be charged in customer's local currency for renewal purchase. Tax is not included. |
|
| pricingCurrencyTotal |
Amount that Microsoft uses for record. Used during refund for calculating refund limit. Tax is not included. This is locked price 30 days before expiry. |
|
| purchaseProperties |
The request for reservation purchase |
RenewPropertiesResponseBillingCurrencyTotal
Currency and amount that customer will be charged in customer's local currency for renewal purchase. Tax is not included.
| Name | Type | Description |
|---|---|---|
| amount |
number (float) |
|
| currencyCode |
string |
The ISO 4217 3-letter currency code for the currency used by this purchase record. |
RenewPropertiesResponsePricingCurrencyTotal
Amount that Microsoft uses for record. Used during refund for calculating refund limit. Tax is not included. This is locked price 30 days before expiry.
| Name | Type | Description |
|---|---|---|
| amount |
number (float) |
|
| currencyCode |
string |
The ISO 4217 3-letter currency code for the currency used by this purchase record. |
ReservationBillingPlan
Represent the billing plans.
| Value | Description |
|---|---|
| Upfront |
Upfront |
| Monthly |
Monthly |
ReservationMergeProperties
Properties of reservation merge
| Name | Type | Description |
|---|---|---|
| mergeDestination |
string |
Reservation resource id Created due to the merge. Format of the resource id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId} |
| mergeSources |
string[] |
Resource ids of the source reservation's merged to form this reservation. Format of the resource id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId} |
ReservationOrderBillingPlanInformation
Information describing the type of billing plan for this reservation.
| Name | Type | Description |
|---|---|---|
| nextPaymentDueDate |
string (date) |
For recurring billing plans, indicates the date when next payment will be processed. Null when total is paid off. |
| pricingCurrencyTotal |
Amount of money to be paid for the Order. Tax is not included. |
|
| startDate |
string (date) |
Date when the billing plan has started. |
| transactions |
Information about payment related to a reservation order. |
ReservationOrderResponse
Details of a reservation order being returned.
| Name | Type | Description |
|---|---|---|
| etag |
integer (int32) |
|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.benefitStartTime |
string (date-time) |
This is the DateTime when the reservation benefit started. |
| properties.billingPlan |
Represent the billing plans. |
|
| properties.createdDateTime |
string (date-time) |
This is the DateTime when the reservation was created. |
| properties.displayName |
string |
Friendly name for user to easily identified the reservation. |
| properties.expiryDate |
string (date) |
This is the date when the reservation will expire. |
| properties.expiryDateTime |
string (date-time) |
This is the date-time when the reservation will expire. |
| properties.originalQuantity |
integer (int32) |
Total Quantity of the skus purchased in the reservation. |
| properties.planInformation |
Information describing the type of billing plan for this reservation. |
|
| properties.provisioningState |
Current state of the reservation. |
|
| properties.requestDateTime |
string (date-time) |
This is the DateTime when the reservation was initially requested for purchase. |
| properties.reservations |
The definition of the reservation. |
|
| properties.reviewDateTime |
string (date-time) |
This is the date-time when the Azure Hybrid Benefit needs to be reviewed. |
| properties.term |
Represent the term of reservation. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
ReservationResponse
The definition of the reservation.
| Name | Type | Description |
|---|---|---|
| etag |
integer (int32) |
|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| kind |
enum:
Microsoft. |
Resource Provider type to be reserved. |
| location |
string |
The Azure region where the reserved resource lives. |
| name |
string |
The name of the resource |
| properties |
The properties associated to this reservation |
|
| sku |
The sku information associated to this reservation |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
ReservationSplitProperties
Properties of reservation split
| Name | Type | Description |
|---|---|---|
| splitDestinations |
string[] |
List of destination resource id that are created due to split. Format of the resource id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId} |
| splitSource |
string |
Resource id of the reservation from which this is split. Format of the resource id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId} |
ReservationsProperties
The properties of the reservations
| Name | Type | Default value | Description |
|---|---|---|---|
| appliedScopeProperties |
Properties specific to applied scope type. Not required if not applicable. Required and need to provide tenantId and managementGroupId if AppliedScopeType is ManagementGroup |
||
| appliedScopeType |
The applied scope type |
||
| appliedScopes |
string[] |
The list of applied scopes |
|
| archived |
boolean |
Indicates if the reservation is archived |
|
| benefitStartTime |
string (date-time) |
This is the DateTime when the reservation benefit started. |
|
| billingPlan |
The billing plan options available for this sku. |
||
| billingScopeId |
string |
Subscription that will be charged for purchasing reservation or savings plan |
|
| capabilities |
string |
Capabilities of the reservation |
|
| displayName |
string |
Friendly name for user to easily identify the reservation |
|
| displayProvisioningState |
string |
The provisioning state of the reservation for display, e.g. Succeeded |
|
| effectiveDateTime |
string (date-time) |
DateTime of the reservation starting when this version is effective from. |
|
| expiryDate |
string (date) |
This is the date when the reservation will expire. |
|
| expiryDateTime |
string (date-time) |
This is the date-time when the reservation will expire. |
|
| extendedStatusInfo |
The message giving detailed information about the status code. |
||
| instanceFlexibility |
Allows reservation discount to be applied across skus within the same auto fit group. Not all skus support instance size flexibility. |
||
| lastUpdatedDateTime |
string (date-time) |
DateTime of the last time the reservation was updated. |
|
| mergeProperties |
Properties of reservation merge |
||
| provisioningState |
Current state of the reservation. |
||
| provisioningSubState |
string |
The provisioning sub-state of the reservation, e.g. Succeeded |
|
| purchaseDate |
string (date) |
This is the date when the reservation was purchased. |
|
| purchaseDateTime |
string (date-time) |
This is the date-time when the reservation was purchased. |
|
| quantity |
integer (int32) |
Quantity of the skus that are part of the reservation. Must be greater than zero. |
|
| renew |
boolean |
False |
Setting this to true will automatically purchase a new reservation on the expiration date time. |
| renewDestination |
string |
Reservation Id of the reservation which is purchased because of renew. Format of the resource Id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}. |
|
| renewProperties |
The renew properties for a reservation. |
||
| renewSource |
string |
Reservation Id of the reservation from which this reservation is renewed. Format of the resource Id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}. |
|
| reservedResourceType |
The type of the resource that is being reserved. |
||
| reviewDateTime |
string (date-time) |
This is the date-time when the Azure Hybrid Benefit needs to be reviewed. |
|
| skuDescription |
string |
Description of the sku in english. |
|
| splitProperties |
Properties of reservation split |
||
| swapProperties |
Properties of reservation swap |
||
| term |
Represent the term of reservation. |
||
| userFriendlyAppliedScopeType |
string |
The applied scope type of the reservation for display, e.g. Shared |
|
| userFriendlyRenewState |
string |
The renew state of the reservation for display, e.g. On |
|
| utilization |
Reservation utilization |
ReservationsPropertiesUtilization
Reservation utilization
| Name | Type | Description |
|---|---|---|
| aggregates |
The array of aggregates of a reservation's utilization |
|
| trend |
string |
last 7 day utilization trend for a reservation |
ReservationStatusCode
| Value | Description |
|---|---|
| None |
None |
| Pending |
Pending |
| Processing |
Processing |
| Active |
Active |
| PurchaseError |
PurchaseError |
| PaymentInstrumentError |
PaymentInstrumentError |
| Split |
Split |
| Merged |
Merged |
| Expired |
Expired |
| Succeeded |
Succeeded |
ReservationSwapProperties
Properties of reservation swap
| Name | Type | Description |
|---|---|---|
| swapDestination |
string |
Reservation resource id that the original resource gets swapped to. Format of the resource id is /providers/microsoft.capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId} |
| swapSource |
string |
Resource id of the source reservation that gets swapped. Format of the resource id is /providers/microsoft.capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId} |
ReservationTerm
Represent the term of reservation.
| Value | Description |
|---|---|
| P1Y |
P1Y |
| P3Y |
P3Y |
| P5Y |
P5Y |
ReservationUtilizationAggregates
The aggregate values of reservation utilization
| Name | Type | Description |
|---|---|---|
| grain |
number (float) |
The grain of the aggregate |
| grainUnit |
string |
The grain unit of the aggregate |
| value |
number (float) |
The aggregate value |
| valueUnit |
string |
The aggregate value unit |
ReservedResourceType
The type of the resource that is being reserved. In addition to below types we have also added the following: OpenAIPTU, MDC, Sentinel.
| Value | Description |
|---|---|
| VirtualMachines |
VirtualMachines |
| SqlDatabases |
SqlDatabases |
| SuseLinux |
SuseLinux |
| CosmosDb |
CosmosDb |
| RedHat |
RedHat |
| SqlDataWarehouse |
SqlDataWarehouse |
| VMwareCloudSimple |
VMwareCloudSimple |
| RedHatOsa |
RedHatOsa |
| Databricks |
Databricks |
| AppService |
AppService |
| ManagedDisk |
ManagedDisk |
| BlockBlob |
BlockBlob |
| RedisCache |
RedisCache |
| AzureDataExplorer |
AzureDataExplorer |
| MySql |
MySql |
| MariaDb |
MariaDb |
| PostgreSql |
PostgreSql |
| DedicatedHost |
DedicatedHost |
| SapHana |
SapHana |
| SqlAzureHybridBenefit |
SqlAzureHybridBenefit |
| AVS |
AVS |
| DataFactory |
DataFactory |
| NetAppStorage |
NetAppStorage |
| AzureFiles |
AzureFiles |
| SqlEdge |
SqlEdge |
| VirtualMachineSoftware |
VirtualMachineSoftware |
SkuName
The name of sku
| Name | Type | Description |
|---|---|---|
| name |
string |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |